/*
 * postal_alloc_msg.c
 * Allocate a POSTAL_MSG struct
 * libpostal project
 * libpost_raw gen code
 * $Id: postal_alloc_msg.c,v 1.6 2003/05/26 06:23:47 fullermd Exp $
 */

#include <stdlib.h>

#include <post_raw.h>
#include <post_raw_p.h>
#include <post_raw_extra_p.h>


POSTAL_MSG *
postal_alloc_msg(void)
{
	POSTAL_MSG *toret;

	toret = malloc(PMSG_SIZE);
	toret->header=NULL;
	toret->hdrlen=0;
	toret->body=NULL;
	toret->bodylen=0;
	toret->loc.offset=0; /* This also nulls out loc.file */
	toret->src_type=SRC_NONE;
	toret->stat_loc=STATUS_NULL;
	toret->stat_new=STATUS_NULL;
	toret->dirty=0;

	return(toret);
}
