/*
 * maildir_close.c
 * Close a Maildir mailbox
 * libpostal project
 * libpost_raw maildir code
 * $Id: maildir_close.c,v 1.2 2003/05/26 09:03:30 fullermd Exp $
 */

#include <sys/file.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#include <post_raw.h>
#include <post_raw_p.h>
#include <post_raw_extra_p.h>


void
maildir_close(POSTAL_CONN *p_conn)
{
	/* There's no descriptors to actually 'close' */

	/* Cleanup */
	if(p_conn->msgs)
		postal_free_msggroup(p_conn->msgs);
	free(p_conn->spec.mdir->base);
	free(p_conn->spec.mdir);
	free(p_conn);
}
