/*
 * post_raw_p.h
 * Private header file
 * libpostal project
 * libpost_raw
 * $Id: post_raw_p.h,v 1.14 2003/05/26 09:08:35 fullermd Exp $
 */

#ifndef _LIBPOSTAL_POST_RAW_P_H_
#define _LIBPOSTAL_POST_RAW_P_H_

/* #include's in #includes, bad boy! */
#include <string.h>


/* Constants */
#define BUFFER_SIZE		1024	/* Arbitrary again.  Deal. */


/* Macros */
#define CLEARSTRING(s)		(bzero(s, strlen(s)))
#define UMAX(a,b)		((a) > (b) ? (a) : (b))


/* Prototypes */
/* Private interfaces */
char *postal_casestr(char *, char *);
int postal_dotlock(char *, int);
int postal_fcntl_lock(int, int);
int postal_flock(int, int);
int postal_flush_line(int);
void postal_free_charpp(char **);
int postal_get_line(int, char *, unsigned);
char ** postal_list_dir(const char *);
char *postal_whack_cr(char *);

#endif /* !_LIBPOSTAL_POST_RAW_P_H_ */
