/*
 * pop_answer_check.c
 * POP reply checker
 * libpostal project
 * libpost_raw  POP code
 * $Id: pop_answer_check.c,v 1.6 2003/05/26 09:03:31 fullermd Exp $
 */

#include <sys/types.h>
#include <sys/uio.h>
#include <stdio.h>
#include <string.h>
#include <unistd.h>

#include <post_raw.h>
#include <post_raw_p.h>
#include <post_raw_pop_p.h>
#include <post_raw_extra_p.h>


/* Internal function */
int
pop_answer_check(POSTAL_CONN *p_conn)
{
	char buf[BUFFER_SIZE];
	ssize_t readlen;

	readlen = read(p_conn->spec.pop->sock, buf, (BUFFER_SIZE-1));
	buf[readlen]='\0';
	if(readlen<0)
		return(0);

	if( (strncmp(buf, POP_GOOD, strlen(POP_GOOD)) != 0) )
		return(1);
	return(0);
}
