/*
 * pop_network_close.c
 * Quick and dirty close on POP TCP/IP connection
 * libpostal project
 * libpost_raw  POP code
 * $Id: pop_network_close.c,v 1.5 2002/10/31 00:52:35 fullermd Exp $
 */

#include <stdlib.h>
#include <unistd.h>

#include <post_raw.h>
#include <post_raw_pop_p.h>
#include <post_raw_extra_p.h>


/* Note: This is an internal function.  It should never be exposed */
void
pop_network_close(POSTAL_CONN *to_close)
{
	close(to_close->spec.pop->sock);
	if(to_close->spec.pop)
	{
		free(to_close->spec.pop->srv_header);
		free(to_close->spec.pop);
	}
	free(to_close);
}
